package com.ddabadi.stock.model;

import com.ddabadi.stock.model.base.Base;
import com.ddabadi.stock.model.enumerate.TransStatus;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;


@Entity
@Data
@NoArgsConstructor
@EqualsAndHashCode
@ToString
@Table(name="return_hd", schema = "public")
public class ReturnHd extends Base implements Serializable {

    @Id
    @SequenceGenerator(name = "pk_return_hd_seq", sequenceName = "return_hd_seq", allocationSize=1)
    @GeneratedValue( strategy = GenerationType.SEQUENCE, generator="pk_return_hd_seq")
    private String id;

    // true = return from purchase
    // false = return from sales
    @Column
    private Boolean retPurchase;

    // Generated by System
    // RTyyMM9999
    // RT -> system parameter
    @Column(length = 10)
    private String returNumber;

    @ManyToOne
    @JoinColumn(name = "return_supplier")
    private Supplier supplier;

    @ManyToOne
    @JoinColumn(name = "return_customer")
    private Customer customer;

    @Temporal(TemporalType.DATE)
    @Column
    private Date poDate;

    // No Receivind atau No Invoice
    @Column
    private String refNumber;

    @Column(length = 250)
    private String description;

    @Column
    private TransStatus status;


}
